<html
    xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
    xmlns:be="http://typo3.org/ns/TYPO3/CMS/Backend/ViewHelpers"
    xmlns:core="http://typo3.org/ns/TYPO3/CMS/Backend/ViewHelpers"
    data-namespace-typo3-fluid="true">

<f:layout name="Default" />

<f:section name="Content">
    <f:flashMessages />
<H1>SmartVerein Settings</H1>
    <ul class="nav nav-tabs mb-3" id="settings" role="tablist">
        <li class="nav-item" role="presentation">
            <a
                class="nav-link active"
                id="settings-tab-1"
                data-bs-toggle="tab"
                href="#settings-tabs-1"
                role="tab"
                aria-controls="settings-tabs-1"
                aria-selected="true"
            >Club sections</a
            >
        </li>
        <li class="nav-item" role="presentation">
            <a
                class="nav-link"
                id="settings-tab-2"
                data-bs-toggle="tab"
                href="#settings-tabs-2"
                role="tab"
                aria-controls="settings-tabs-2"
                aria-selected="false"
            >Club functions</a
            >
        </li>
        <li class="nav-item" role="presentation">
            <a
                class="nav-link"
                id="settings-tab-3"
                data-bs-toggle="tab"
                href="#settings-tabs-3"
                role="tab"
                aria-controls="settings-tabs-3"
                aria-selected="false"
            >Club Positions</a
            >
        </li>
        <li class="nav-item" role="presentation">
            <a
                class="nav-link"
                id="settings-tab-4"
                data-bs-toggle="tab"
                href="#settings-tabs-4"
                role="tab"
                aria-controls="settings-tabs-4"
                aria-selected="false"
            >Club Roles</a
            >
        </li>
        <li class="nav-item" role="presentation">
            <a
                class="nav-link"
                id="settings-tab-5"
                data-bs-toggle="tab"
                href="#settings-tabs-5"
                role="tab"
                aria-controls="settings-tabs-5"
                aria-selected="false"
            >Member fees</a
            >
        </li>
    </ul>
    <div class="tab-content" id="settings-content">
        <div
            class="tab-pane tab-margin fade show active"
            id="settings-tabs-1"
            role="tabpanel"
            aria-labelledby="settings-tab-1"
        >
            <table id="sections" class="table">
                <thead>
                <tr>
                    <th scope="col"><f:translate id="section.titel" /></th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                <f:for each="{sections}" as="section">
                    <tr>
                        <td>{section.title}</td>
                        <td><be:link.editRecord class="btn btn-success" title="{f:translate(id: 'section.edit.title')}" uid="{section.uid}" table="tx_smartverein_domain_model_sections" returnUrl="{f:be.uri(route: 'SmartvereinSvtools_SmartvereinSettings')}">
                            <i class="fa-solid fa-pencil fa-lg fa-lg"></i>
                        </be:link.editRecord></td>
                    </tr>
                </f:for>
                </tbody>
            </table>

            <be:link.newRecord class="btn btn-warning btn-md t3js-editform-close" title="{f:translate(id: 'labels.button.newSection')}" table="tx_smartverein_domain_model_sections" returnUrl="{f:be.uri(route: 'SmartvereinSvtools_SmartvereinSettings')}" pid="{storagePid}">
                <i class="fa-solid fa-square-plus fa-xl"></i></i> <f:translate key="labels.button.newSection"/>
            </be:link.newRecord>
        </div>
        <div class="tab-pane tab-margin fade" id="settings-tabs-2" role="tabpanel" aria-labelledby="settings-tab-2">
            <table id="functions" class="table">
                <thead>
                <tr>
                    <th scope="col"><f:translate id="function.titel" /></th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                <f:for each="{functions}" as="function">
                    <tr>
                        <td>{function.title}</td>
                        <td><be:link.editRecord class="btn btn-success" title="{f:translate(id: 'function.edit.title')}" uid="{function.uid}" table="tx_smartverein_domain_model_functions" returnUrl="{f:be.uri(route: 'SmartvereinSvtools_SmartvereinSettings')}">
                            <i class="fa-solid fa-pencil fa-lg"></i>
                        </be:link.editRecord>
                        </td>
                    </tr>
                </f:for>
                </tbody>
            </table>

            <be:link.newRecord class="btn btn-warning btn-md t3js-editform-close" title="{f:translate(id: 'labels.button.newFunction')}" table="tx_smartverein_domain_model_functions" returnUrl="{f:be.uri(route: 'SmartvereinSvtools_SmartvereinSettings')}" pid="{storagePid}">
                <i class="fa-solid fa-square-plus fa-xl"></i> <f:translate key="labels.button.newFunction"/>
            </be:link.newRecord>
        </div>
        <div class="tab-pane tab-margin fade" id="settings-tabs-3" role="tabpanel" aria-labelledby="settings-tab-3">
            <table id="positions" class="table">
                <thead>
                <tr>
                    <th scope="col"><f:translate id="position.titel" /></th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                <f:for each="{positions}" as="position">
                    <tr>
                        <td>{position.title}</td>
                        <td><be:link.editRecord class="btn btn-success" title="{f:translate(id: 'position.edit.title')}" uid="{position.uid}" table="tx_smartverein_domain_model_positions" returnUrl="{f:be.uri(route: 'SmartvereinSvtools_SmartvereinSettings')}">
                            <i class="fa-solid fa-pencil fa-lg"></i>
                        </be:link.editRecord>
                        </td>
                    </tr>
                </f:for>
                </tbody>
            </table>

            <be:link.newRecord class="btn btn-warning btn-md t3js-editform-close" title="{f:translate(id: 'labels.button.newPosition')}" table="tx_smartverein_domain_model_positions" returnUrl="{f:be.uri(route: 'SmartvereinSvtools_SmartvereinSettings')}" pid="{storagePid}">
                <i class="fa-solid fa-square-plus fa-xl"></i> <f:translate key="labels.button.newPosition"/>
            </be:link.newRecord>
        </div>
        <div class="tab-pane tab-margin fade" id="settings-tabs-4" role="tabpanel" aria-labelledby="settings-tab-4">
            <table id="roles" class="table">
                <thead>
                <tr>
                    <th scope="col"><f:translate id="role.titel" /></th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                <f:for each="{roles}" as="role">
                    <tr>
                        <td>{role.title}</td>
                        <td><be:link.editRecord class="btn btn-success" title="{f:translate(id: 'role.edit.title')}" uid="{role.uid}" table="tx_smartverein_domain_model_roles" returnUrl="{f:be.uri(route: 'SmartvereinSvtools_SmartvereinSettings')}">
                            <i class="fa-solid fa-pencil fa-lg"></i>
                        </be:link.editRecord>
                        </td>
                    </tr>
                </f:for>
                </tbody>
            </table>

            <be:link.newRecord class="btn btn-warning btn-md t3js-editform-close" title="{f:translate(id: 'labels.button.newRole')}" table="tx_smartverein_domain_model_roles" returnUrl="{f:be.uri(route: 'SmartvereinSvtools_SmartvereinSettings')}" pid="{storagePid}">
                <i class="fa-solid fa-square-plus fa-xl"></i> <f:translate key="labels.button.newRole"/>
            </be:link.newRecord>
        </div>
        <div class="tab-pane tab-margin fade" id="settings-tabs-5" role="tabpanel" aria-labelledby="settings-tab-5">

            <table id="memberfees" class="table">
                <thead>
                <tr>
                    <th><f:translate id="memberfees.titel" /></th>
                    <th><f:translate id="memberfees.fee" /></th>
                    <th><f:translate id="memberfees.feePeriod" /></th>
                    <th><f:translate id="memberfees.admissionFee" /></th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                <f:for each="{memberFees}" as="memberFee">
                    <tr>
                        <td>{memberFee.title}</td>
                        <td>{memberFee.fee}</td>
                        <td>
                            <f:switch expression="{memberFee.membership_fee_period}">
                                <f:case value="1"><f:translate id="memberfees.feePeriod.item.1" /></f:case>
                                <f:case value="2"><f:translate id="memberfees.feePeriod.item.2" /></f:case>
                                <f:case value="3"><f:translate id="memberfees.feePeriod.item.3" /></f:case>
                                <f:case value="4"><f:translate id="memberfees.feePeriod.item.4" /></f:case>
                                <f:defaultCase></f:defaultCase>
                            </f:switch>
                        </td>
                        <td>{memberFee.admission_fee}</td>
                        <td><be:link.editRecord class="btn btn-success" title="{f:translate(id: 'memberfees.edit.title')}" uid="{memberFee.uid}" table="tx_smartverein_domain_model_memberfees" returnUrl="{f:be.uri(route: 'SmartvereinSvtools_SmartvereinSettings')}">
                            <i class="fa-solid fa-pencil fa-lg"></i>
                        </be:link.editRecord>
                        </td>
                    </tr>
                </f:for>
                </tbody>
            </table>

            <be:link.newRecord class="btn btn-warning btn-md t3js-editform-close" title="{f:translate(id: 'labels.button.newMemberFee')}" table="tx_smartverein_domain_model_memberfees" returnUrl="{f:be.uri(route: 'SmartvereinSvtools_SmartvereinSettings')}" pid="{storagePid}">
                <i class="fa-solid fa-square-plus fa-xl"></i> <f:translate key="labels.button.newMemberFee"/>
            </be:link.newRecord>
        </div>
    </div>

    <f:asset.script identifier="settings-inline">
        require([
        'simpledatatables'
        ], function (simpledatatables) {
        sections.dataTable = new simpledatatables.DataTable("#sections", {
       columns: [
        // Column section
        { select: 0, sortable: true, },
        // Column Action button
        { select: 1, sortable: false},
        ]
        });
        functions.dataTable = new simpledatatables.DataTable("#functions", {
        columns: [
        // Column section
        { select: 0, sortable: true, },
        // Column Action button
        { select: 1, sortable: false},
        ]
        });
        positions.dataTable = new simpledatatables.DataTable("#positions", {
        columns: [
        // Column section
        { select: 0, sortable: true, },
        // Column Action button
        { select: 1, sortable: false},
        ]
        });
        roles.dataTable = new simpledatatables.DataTable("#roles", {
        columns: [
        // Column section
        { select: 0, sortable: true, },
        // Column Action button
        { select: 1, sortable: false},
        ]
        });
        memberfees.dataTable = new simpledatatables.DataTable("#memberfees", {
        columns: [
        // Column member fee title
        { select: 0, sortable: true, },
        { select: 1, sortable: false, },
        { select: 2, sortable: false, },
        { select: 3, sortable: false, },
        // Column Action button
        { select: 4, sortable: false},
        ]
        });
        });

    </f:asset.script>
</f:section>
</html>
